package ink.wgink.module.wechat.miniapp.pojo.vos;

/**
 * @ClassName: MiniAppInfoVO
 * @Description: 小程序用户信息
 * @Author: wanggeng
 * @Date: 2021/8/2 4:48 下午
 * @Version: 1.0
 */

import ink.wgink.annotation.CheckEmptyAnnotation;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel
public class MiniAppUpdateInfoVO {

    @ApiModelProperty(name = "nickName", value = "昵称")
    @CheckEmptyAnnotation(name = "昵称")
    private String nickName;
    @ApiModelProperty(name = "avatarUrl", value = "头像")
    @CheckEmptyAnnotation(name = "头像")
    private String avatarUrl;

    public String getNickName() {
        return nickName == null ? "" : nickName.trim();
    }

    public void setNickName(String nickName) {
        this.nickName = nickName;
    }

    public String getAvatarUrl() {
        return avatarUrl == null ? "" : avatarUrl.trim();
    }

    public void setAvatarUrl(String avatarUrl) {
        this.avatarUrl = avatarUrl;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("{");
        sb.append("\"nickName\":\"")
                .append(nickName).append('\"');
        sb.append(",\"avatarUrl\":\"")
                .append(avatarUrl).append('\"');
        sb.append('}');
        return sb.toString();
    }
}
